Skip to main content
POST
/
v1
/
pipeline
/
qc-report
{
  "input": "https://example.com/video.mp4"
}
curl -X POST https://api.ringbee.dev/v1/pipeline/qc-report \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4"
}
curl -X POST https://api.ringbee.dev/v1/pipeline/qc-report \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4"

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"